Bug 164476 - unable to conform to lsb-samba
unable to conform to lsb-samba
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks: 145007
  Show dependency treegraph
 
Reported: 2005-07-28 01:05 EDT by Lawrence Lim
Modified: 2014-08-31 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 11:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-07-28 01:05:32 EDT
Description of problem:
Tested RHEL4's samba against lsb-samba and noticed a few errors. Please see the
steps to reproduce for more details.

Version-Release number of selected component (if applicable):
samba-3.0.10-1.4E

How reproducible:
Always


Steps to Reproduce:
1. Download the lsb-samba application package that corresponds to the LSB
version and processor architecture for which certification is being sought from
the FTP site or via HTTP.

2. Install package on system. Example command line:

rpm -ivh lsb-samba-3.0.11-1.lsb3.i486.rpm

      NOTE: Application MUST be installed without use of --nodeps option
      - Expected result: application should be installed to

/opt/lsb/appbat
/etc/opt/lsb/appbat
/var/opt/lsb/appbat

3. Create a test user for the FVT. Run the command: useradd -m smbuser
4. Use the passwd command to set the password for smbuser to smb4lsb
5. Populate the /home/smbuser directory. Run the command: cp
/opt/lsb/appbat/man/man1/* /home/smbuser
6. Create the file /etc/opt/lsb/appbat/smb.conf with the following contents:

[global]
        workgroup = WORKGROUP

[homes]
        guest ok = no
        read only = no

7. If it does not already exist, create the file /etc/pam.d/samba with the
following contents:

#%PAM-1.0
auth       required     pam_unix.so
account    required     pam_unix.so

8. If the Samba SMB/CIFS server (smbd) and NetBIOS name server (nmbd) are
already running on the system under test, they should be stopped so that they
don't interfere with the running of the test.
9. If the TMPDIR environment variable is set to some value, it should be cleared
to avoid problems with some of the tests. To clear the TMPDIR environment
variable, run the command: unset TMPDIR

10. /opt/lsb/appbat/sbin/smbd -D
11. /opt/lsb/appbat/sbin/nmbd -D
12. /opt/lsb/appbat/bin/smbclient -L localhost -U smbuser
13. /opt/lsb/appbat/bin/smbclient //localhost/smbuser -U smbuser

Actual results:
Unable to start samba SMB/CIFS server as daemon
Unable to start samba NetBIOS name server as daemon
Unable to list all the items being shared by the system
Unable to list all the files in the /home/smbuser directory

Expected results:
All functions performing properly.

Additional info:
Please download the lsb-samba-3.0.11 from the following URL:
http://www.linuxbase.org/download/#app-battery
Comment 4 Lawrence Lim 2005-08-02 11:18:16 EDT
Think this is more of LSB test suite bug than samba bug.

http://bugs.linuxbase.org/show_bug.cgi?id=1058

Closing now.


Note You need to log in before you can comment on or make changes to this bug.